SDL_CompareAndSwapAtomicU32(3)

NAME
SDL_CompareAndSwapAtomicU32 - Set an atomic variable to a new value if it is currently an old value.

SYNOPSIS
#include <SDL3/SDL_atomic.h>

bool SDL_CompareAndSwapAtomicU32(SDL_AtomicU32 *a, Uint32 oldval, Uint32 newval);

DESCRIPTION

Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicU32 variable to be modified.

oldval
    the old value.

newval
    the new value.

RETURN VALUE
Returns true if the atomic variable was set, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAtomicU32(3), SDL_SetAtomicU32(3)